package com.softwarereality.customer;

/**
 * Customer details bean.
 */
public class Customer {
    
    private String id;
    private String firstName;
    private String lastName;

    // Note, validation code in the Customer bean itself. Beans are not just bags of data!
    public void validateID(String id) {
        if (id.length() < 1) {
            throw new IllegalArgumentException("You must enter a Customer ID");
        }            
        if (id.length() > 10) {
            throw new IllegalArgumentException("Customer ID must be 10 characters or less");
        }            
    }
    
    
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
    
}
