package com.softwarereality.customer;

/**
 * Controller for the CustomerDetails UI.
 */
public class CustomerDetailsController {
    
    private CustomerDetailsUI ui;
    private Customer customer;
    
    public CustomerDetailsController(CustomerDetailsUI ui) {
        this.ui = ui;
    }
    
    public void initApp(String customerID) {
        // some initialisation code, e.g. lookup a Customer Details record,
        // then tell the UI to update with it.
        customer = new Customer();
        customer.setId(customerID);
        
        ui.populateUIFromData();
    }

    public void validateCustomerID(String id) {
        customer.validateID(id);
    }
    
    public Customer getCustomer() {
        return customer;
    }
    
}
